Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Nov 2012 13:12:24 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 09 Nov 2012 11:59:05 +0100
> 
> Eli Zaretskii wrote:
> >> From: "Fabrice Niessen" <[email-masked]>
> >>
> >> (gdb) print p->name
> >> $2 = 95268961
> >> (gdb) xstring
> >> $3 = (struct Lisp_String *) 0x5adb060
> >> "locate-process"
> >
> > Is this process still running, or did it exit already?
> 
> I can't tell you exactly, even if I noticed an es.exe still there when Emacs
> was frozen. But I can't tell you with certitude if it was already there before
> I even launched Emacs, for example.

If you install Process Explorer from here:

  http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx

you will be able to display the processes in a tree-like display, so
you will see whether es.exe is a child process of Emacs.  And in frame
14, you can see the PID of the process Emacs is waiting for:

  (gdb) frame 14
  #14 0x0102ffff in status_notify (deleting_process=0x5c6f620) at process.c:6606
  6606    process.c: No such file or directory.
  (gdb) print *p
  $1 = {
    header = {
      size = 1073872914,
      next = {
	nbytes = 144,
	buffer = 0x90,
	vector = 0x90
      }
    },
    tty_name = 57358362,
    name = 95268961,
    command = 99165854,
    filter = 57358386,
    sentinel = 95441550,
    log = 57358362,
    buffer = 72508421,
    childp = 57358386,
    plist = 57358362,
    type = 57481914,
    mark = 96614195,
    status = 99296310,
    decode_coding_system = 59149866,
    decoding_buf = 20036945,
    encode_coding_system = 59149842,
    encoding_buf = 20036945,
    write_queue = 57358362,
    gnutls_cred_type = 57358362,
    pid = 3552,     <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
    infd = 5,
    outfd = 10,
    tick = 16,

Then compare this PID with all the processes that are children of
Emacs, or all the processes on your system, and you will know for
sure.

> Do you want me to test this, trying to follow up any process creation (with a
> `ps' running every second), or do you prefer that I test helm-for-files
> without any locate call?

Start the Process Explorer before the hang, and it will show the new
processes as they are born.